package com.gprinter.utils;

import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_gprinter_utils.jar:com/gprinter/utils/Menu58Utils.class */
public class Menu58Utils {
    public static String TAG = Menu58Utils.class.getSimpleName();
    private static final int LINE_BYTE_SIZE = 32;
    private static final int LEFT_LENGTH = 18;
    private static final int CENTER_LENGTH = 6;
    private static final int RIGHT_LENGTH = 8;
    private static final int FIRST_PIECE = 16;
    private static final int SECOND_PIECE = 6;
    private static final int THIRD_PIECE = 4;
    private static final int FOURTH_PIECE = 6;

    public static String printTwoData(String leftText, String rightText) {
        StringBuilder sb = new StringBuilder();
        int leftTextLength = getBytesLength(leftText);
        int rightTextLength = getBytesLength(rightText);
        sb.append(leftText);
        int marginBetweenMiddleAndRight = (32 - leftTextLength) - rightTextLength;
        for (int i = 0; i < marginBetweenMiddleAndRight; i++) {
            sb.append(" ");
        }
        sb.append(rightText);
        return sb.toString() + "\n";
    }

    public static String printThreeData(String leftText, String middleText, String rightText) {
        StringBuilder sb = new StringBuilder();
        String str = "";
        List<String> list = getStrList(leftText, 9);
        for (int i = 0; i < list.size(); i++) {
            if (i == 0) {
                leftText = list.get(i);
            } else {
                str = str + list.get(i) + "\n";
            }
        }
        int leftTextLength = getBytesLength(leftText);
        int middleTextLength = getBytesLength(middleText);
        int rightTextLength = getBytesLength(rightText);
        sb.append(leftText);
        int leftSpace = LEFT_LENGTH - leftTextLength;
        for (int i2 = 0; i2 < leftSpace; i2++) {
            sb.append(" ");
        }
        int centerSpace = 6 - middleTextLength;
        for (int i3 = 0; i3 < centerSpace; i3++) {
            sb.append(" ");
        }
        sb.append(middleText);
        int rightSpace = 8 - rightTextLength;
        for (int i4 = 0; i4 < rightSpace; i4++) {
            sb.append(" ");
        }
        sb.append(rightText);
        return sb.toString() + "\n" + str;
    }

    public static String printFourData(String oneText, String twoText, String threeText, String fourText) {
        StringBuilder sb = new StringBuilder();
        String str = "";
        List<String> list = getStrList(oneText, 8);
        for (int i = 0; i < list.size(); i++) {
            if (i == 0) {
                oneText = list.get(i);
            } else {
                str = str + list.get(i) + "\n";
            }
        }
        int oneTextLength = getBytesLength(oneText);
        int twoTextLength = getBytesLength(twoText);
        int threeTextLength = getBytesLength(threeText);
        int fourTextLength = getBytesLength(fourText);
        sb.append(oneText);
        int oneSpace = 16 - oneTextLength;
        for (int i2 = 0; i2 < oneSpace; i2++) {
            sb.append(" ");
        }
        int twoSpace = 6 - twoTextLength;
        for (int i3 = 0; i3 < twoSpace; i3++) {
            sb.append(" ");
        }
        sb.append(twoText);
        int threeSpace = 4 - threeTextLength;
        for (int i4 = 0; i4 < threeSpace; i4++) {
            sb.append(" ");
        }
        sb.append(threeText);
        int fourSpace = 6 - fourTextLength;
        for (int i5 = 0; i5 < fourSpace; i5++) {
            sb.append(" ");
        }
        sb.append(fourText);
        return sb.toString() + str + "\n";
    }

    private static int getBytesLength(String msg) {
        return msg.getBytes(Charset.forName("GB18030")).length;
    }

    public static List<String> getStrList(String inputString, int length) {
        int size = inputString.length() / length;
        if (inputString.length() % length != 0) {
            size++;
        }
        return getStrList(inputString, length, size);
    }

    public static List<String> getStrList(String inputString, int length, int size) {
        List<String> list = new ArrayList<>();
        for (int index = 0; index < size; index++) {
            String childStr = substring(inputString, index * length, (index + 1) * length);
            list.add(childStr);
        }
        return list;
    }

    public static String substring(String str, int f, int t) {
        if (f > str.length()) {
            return null;
        }
        if (t > str.length()) {
            return str.substring(f, str.length());
        }
        return str.substring(f, t);
    }
}
